log_compare
Prev | Chapter 7. The DB_LSN Handle | Next

## log_compare

    #include <db.h>

    int
    log_compare(const DB_LSN *lsn0, const DB_LSN *lsn1);

The `log_compare()` method allows the caller to compare two `DB_LSN` structures, returning 0 if they are equal, 1 if lsn0 is greater than lsn1, and -1 if lsn0 is less than lsn1.

### Parameters

#### lsn0

The lsn0 parameter is one of the `DB_LSN` structures to be compared.

#### lsn1

The lsn1 parameter is one of the `DB_LSN` structures to be compared.

### Class

DB_ENV, DB_LOGC, DB_LSN

### See Also

Logging Subsystem and Related Methods

Prev | Up | Next
DB_LOGC->get() | Home | Chapter 8. The DB_MPOOLFILE Handle